com.fasterxml.jackson.dataformat.avro

## Enum AvroParser.Feature

- java.lang.Object
- - java.lang.Enum<AvroParser.Feature>
  - - com.fasterxml.jackson.dataformat.avro.AvroParser.Feature

- All Implemented Interfaces:
    com.fasterxml.jackson.core.FormatFeature, Serializable, Comparable<AvroParser.Feature>
  Enclosing class:
    AvroParser

      public static enum AvroParser.Feature
      extends Enum<AvroParser.Feature>
      implements com.fasterxml.jackson.core.FormatFeature

  Enumeration that defines all togglable features for Avro parsers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO_BUFFERING` Feature that can be disabled to prevent Avro from buffering any more data then absolutely necessary.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
    `boolean` | `enabledByDefault()`
    `boolean` | `enabledIn(int flags)`
    `int` | `getMask()`
    `static AvroParser.Feature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AvroParser.Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVRO_BUFFERING

          public static final AvroParser.Feature AVRO_BUFFERING

      Feature that can be disabled to prevent Avro from buffering any more data then absolutely necessary. This affects buffering by underlying `SnakeYAML` codec.

      Enabled by default to preserve the existing behavior.

      Since:
        2.7

  - ### Method Detail

    - #### values

          public static AvroParser.Feature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AvroParser.Feature c : AvroParser.Feature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AvroParser.Feature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### collectDefaults

          public static int collectDefaults()

      Method that calculates bit set (flags) of all features that are enabled by default.

    - #### enabledByDefault

          public boolean enabledByDefault()

      Specified by:
        `enabledByDefault` in interface `com.fasterxml.jackson.core.FormatFeature`

    - #### getMask

          public int getMask()

      Specified by:
        `getMask` in interface `com.fasterxml.jackson.core.FormatFeature`

    - #### enabledIn

          public boolean enabledIn(int flags)

      Specified by:
        `enabledIn` in interface `com.fasterxml.jackson.core.FormatFeature`

Copyright © 2019 FasterXML. All rights reserved.